Subject: Re: Antw: [EXT] Re: bug#24902: 25.1; C-x = for Unicode

From: Mattias Engdegård <[email-masked]>
Date: Sat, 29 Jan 2022 17:47:58 +0100

29 jan. 2022 kl. 15.32 skrev Lars Ingebrigtsen <[email-masked]>:

>> For that matter, many users employ the vertical scroll bar as a live
>> approximate position/size indicator. I just wish its height were based
>> on lines instead of characters.
> 
> Yes, that'd be much better.

Presumably we could use heuristics similar to line-number-mode for when to use the line numbers and when to fall back to characters, but I'm sure there are technicalities to work out. At least the number of lines in the buffer changes less often.

> No matter what we do, we're going to annoy some people, so why annoy
> them twice?

Hmmm, aren't we unnecessarily censoring ourselves now? If someone is really annoyed by not getting the character at point in octal by default despite that the old way is just a defcustom away, then... I don't think we shouldn't let ourselves be ruled by that person, should we? (It's not that we are going to lose users from the change.)

I'd take it easier on the plan to split the functionality in two commands, unless you have a clever idea.